Patrick Georgi has uploaded this change for review.

View Change

test_build.sh: Move build test procedure to repository

Instead of hard coding the test procedure on qa.coreboot.org, allow
running a script in the repo instead. The server is already adapted
to do that, so once there's a test_build.sh file in the toplevel
directory, it's run in place of the default operation.

The content of this change mirrors the default operation exactly so
should serve as a good starting point.

The script is executed in an encapsulate[0] context with the workspace,
/tmp and $HOME/.ccache writable, everything else read-only and
network disabled.

It should return 0 on success, anything else on failure, as is normal
for UNIX processes.

[0] https://review.coreboot.org/cgit/encapsulate.git

Change-Id: I37a8e925d1b283c3b8f87cb3d0f1ed8920f2cf95
Signed-off-by: Patrick Georgi <pgeorgi@google.com>
---
A test_build.sh
1 file changed, 8 insertions(+), 0 deletions(-)

git pull ssh://review.coreboot.org:29418/flashrom refs/changes/94/46894/1
diff --git a/test_build.sh b/test_build.sh
new file mode 100755
index 0000000..0e7f37a
--- /dev/null
+++ b/test_build.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+make CONFIG_EVERYTHING=yes WARNERROR=yes
+
+meson -p out
+(cd out && ninja)
+(cd out && ninja test)

To view, visit change 46894. To unsubscribe, or for help writing mail filters, visit settings.

Gerrit-Project: flashrom
Gerrit-Branch: master
Gerrit-Change-Id: I37a8e925d1b283c3b8f87cb3d0f1ed8920f2cf95
Gerrit-Change-Number: 46894
Gerrit-PatchSet: 1
Gerrit-Owner: Patrick Georgi <pgeorgi@google.com>
Gerrit-MessageType: newchange